/**
 * @module dixim
 * @submodule server
 */
dixim.namespace('dixim.server');

/**
 * @module server
 * @submodule server-menu-view
 */

(function() {
var ServerMenuView;
var prototype;
var superConstructor;
var MenuView = dixim.common.MenuView;
var _ = dixim.ctt.ResourceBundle.get;

/**
 * @class ServerMenuView
 * @constructor
 * @param {Object} configs
 */
ServerMenuView = function(configs) {
    MenuView.call(this, configs);
};

dixim.inherit(ServerMenuView, MenuView);
dixim.server.ServerMenuView = ServerMenuView;
prototype = ServerMenuView.prototype;
superConstructor = ServerMenuView.superConstructor;

var PREV = 'prev';
var BOOT_SERVER = 'bootServer';
var FRIENDLY_NAME = 'friendlyName';
var PERMISSION = 'permission';
var EXTENSIONS = 'extensions';
var PUBLIC_FOLDER = 'publicFolder';
var LANGUAGE = 'language';

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    configs.title = _('common_menu_title_server');
    configs.menuList = [
        {
            strId: 'server_menu_boot_server',
            eventParam: BOOT_SERVER,
        },
        {
            strId: 'server_menu_friendly_name',
            eventParam: FRIENDLY_NAME,
        },
        {
            strId: 'server_menu_permission',
            eventParam: PERMISSION,
        },
        {
            strId: 'server_menu_extensions',
            eventParam: EXTENSIONS,
        },
        {
            strId: 'server_menu_public_folder',
            eventParam: PUBLIC_FOLDER,
        },
        {
            strId: 'server_menu_language',
            eventParam: LANGUAGE,
        },
    ];

    superConstructor.prototype._initialize.call(this, configs);
};

}());
